<?php

namespace Schaffen\WarehouseInventory\WarehouseInventory\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Company\Traits\HasBranch;
use Schaffen\Core\Person\Traits\HasPerson;

class WarehouseInventory extends Model
{
   use HasPerson, HasBranch;

   protected $connection = 'dynamicdb';
   protected $prefix = 'loe';
   protected $dateFormat = 'Y-m-d H:i:sO';
   protected $table = "movimentacao.local_estoque";
   protected $primaryKey = "loe_codigo";
   protected $fillable = [
      "loe_descricao",
      "loe_status",
      "loe_fk_pes_codigo",
      "loe_fk_fil_codigo",
      "loe_tipo",
      "loe_padrao_balcao"
   ];
   const CREATED_AT = "loe_date_insert";
   const CREATED_BY = "loe_user_insert";
   const UPDATED_AT = "loe_date_update";
   const UPDATED_BY = "loe_user_update";

   const COMPANY = 'EMPRESA';
   const EMPLOYEE = 'FUNCIONARIO';
   const SERVICE_ORDER = 'ORDEM_SERVICO';
   const VEHICLE = 'VEICULO';

}
